{
  "name": "typescript-playground",
  "version": "1.0.0",
  "description": "A repository for learning purposes",
  "main": "index.js",
  "scripts": {
    "build": "npm run lint && tsc",
    "debug": "tsc --sourceMap",
    "lint": "tslint --project tsconfig.json --fix",
    "start": "node ./dist",
    "test": "cross-env NODE_ENV=test npm run lint && jest",
    "test-watch": "cross-env NODE_ENV=test npm run lint && jest --watch",
    "watch": "npm run build && concurrently --kill-others \"npm:watch-*\"",
    "watch-1-ts": "npm run lint && tsc --watch",
    "watch-2-node": "nodemon ./dist"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/kovacsandor/typescript-playground.git"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://github.com/kovacsandor/typescript-playground/issues"
  },
  "homepage": "https://github.com/kovacsandor/typescript-playground#readme",
  "devDependencies": {
    "@types/jest": "^24.0.6",
    "@types/node": "^11.9.4",
    "concurrently": "^4.1.0",
    "cross-env": "^5.2.0",
    "jest": "^24.0.0",
    "nodemon": "^1.18.9",
    "ts-jest": "^24.0.0",
    "tslint": "^5.12.1",
    "tslint-config-prettier": "^1.17.0",
    "tslint-react": "^3.6.0",
    "typescript": "^3.2.4"
  }
}
